﻿// <copyright file="RemoteForwardingData.cs" company="David Lawler">
//     David Lawler, Copyright (c) 2010 David Lawler. All rights reserved.
// </copyright>
// <summary> RemoteForwardingData.
// </summary>
// <author>  David Lawler, translated from Christian Plattner's ganymed 2.51 beta 1
// </author>
// <version>  0.80, 11/26/2010
// </version>

using System;

namespace Eunomia.SSH2.Channel
{
    /// <summary>
    /// Class that holds information about a remote forwarding.
    /// Not a struct, because the data is mutable.
    /// </summary>
    public class RemoteForwardingData
    {
        private string bindAddress;
        private int bindPort;
        private string targetAddress;
        private int targetPort;

        /// <summary>
        /// Gets or sets the bind address of the remote forward.
        /// </summary>
        public string BindAddress
        {
            get { return this.bindAddress; }
            set { this.bindAddress = value; }
        }
        
        /// <summary>
        /// Gets or sets the bind port of the remote forward.
        /// </summary>
        public int BindPort
        {
            get { return this.bindPort; }
            set { this.bindPort = value; }
        }
        
        /// <summary>
        /// Gets or sets the target address of the remote forward.
        /// </summary>
        public string TargetAddress
        {
            get { return this.targetAddress; }
            set { this.targetAddress = value; }
        }
        
        /// <summary>
        /// Gets or sets the target port of the remote forward.
        /// </summary>
        public int TargetPort
        {
            get { return this.targetPort; }
            set { this.targetPort = value; }
        }
    }
}
