﻿// <copyright file="PEMStructure.cs" company="David Lawler">
//     David Lawler, Copyright (c) 2010 David Lawler. All rights reserved.
// </copyright>
// <summary> PEMStructure
// </summary>
// <author>  David Lawler, translated from Christian Plattner's ganymed 2.51 beta 1
// </author>
// <version> 0.6.0, 12/24/2010
// </version>

using System;

namespace Eunomia.SSH2.Crypto
{
    /// <summary>
    /// Class to contain information about a PEM certificate.
    /// </summary>
    public class PEMStructure
    {
        private int pemType;
        private string[] dekInfo;
        private string[] procType;
        private byte[] data;
         
        /// <summary>
        /// Gets or sets the PEM type (RSA or DSA_PRIVATE_KEY).
        /// </summary>
        public int PEMType
        {
            get { return this.pemType; }
            set { this.pemType = value; }
        }
        
        /// <summary>
        /// Gets or sets the key information required to decrypt the certificate.
        /// </summary>
       public string[] DekInfo
       {
            get { return this.dekInfo; }
            set { this.dekInfo = value; }
        }
        
        /// <summary>
        /// Gets or sets the Proc-type information (if [0] is "4" and [1] is "ENCRYPTED", then the PEM is encrypted.
        /// </summary>
        public string[] ProcType
        {
            get { return this.procType; }
            set { this.procType = value; }
        }
        
        /// <summary>
        /// Gets or sets the PEM data in a byte array.
        /// </summary>
        public byte[] Data
        {
            get { return this.data; }
            set { this.data = value; }
        }
    }
}
