﻿// <copyright file="EnomiaDocumentation.cs" company="David Lawler">
//     David Lawler, Copyright (c) 2010 David Lawler. All rights reserved.
// </copyright>
// <summary> EnomiaDocumentation
// </summary>
// <author>  David Lawler, translated from Christian Plattner's ganymed 2.51 beta 1
// </author>
// <version> 0.6.0, 12/24/2010
// </version>

namespace Eunomia.SSH2
{
    using System;
    
    /// <summary>
    /// Eunomia SSH2 for .Net is a library which implements the SSH-2 protocol in c#.
    /// </summary>
    /// <remarks>
    /// <para>
    /// Eunomia SSH2 for .Net is a library which implements the SSH-2 protocol in c#.
    /// It allows one to connect to SSH servers from within .Net programs. It supports SSH sessions
    /// (remote command execution and shell access), local and remote port forwarding, local stream
    /// forwarding, X11 forwarding, SCP and SFTP.  This project uses the BouncyCastle cryptographic
    /// software for it's cryptographic functionality (including BigInteger and SecureRandom support):
    /// </para>
    /// <para>
    /// BouncyCastle website: http://www.bouncycastle.org/csharp/
    /// </para>
    /// <para>
    /// Eunomia is a hand-translated version of the Ganymed SSH-2 Java library that was first developed
    /// for the Ganymed replication project and a couple of other projects at the IKS group at ETH Zurich.
    /// </para>
    /// <para>
    /// Ganymed Website: http://www.cleondris.ch/opensource/ssh2/.
    /// </para>
    /// <para>
    /// For Ganymed license information, please read the included LICENCE.txt, latest changes can be
    /// found in HISTORY.txt.
    /// </para>
    /// </remarks>
    [System.Runtime.CompilerServices.CompilerGenerated]
    public class NamespaceDoc
    {
    }
}
