// <copyright file="RSASignature.cs" company="David Lawler">
//     David Lawler, Copyright (c) 2010 David Lawler. All rights reserved.
// </copyright>
// <summary> RSASignature
// </summary>
// <author>  David Lawler, translated from Christian Plattner's ganymed 2.51 beta 1
// </author>
// <version> 0.6.0, 12/24/2010
// </version>

using System;
using System.Diagnostics.CodeAnalysis;

using Org.BouncyCastle.Math;

namespace Eunomia.SSH2.Signature
{
    /// <summary>
    /// RSASignature.  Stores information about a RSA signature.
    /// </summary>
    public class RSASignature
    {
        private BigInteger s;

        /// <summary>
        /// Initializes a new instance of the RSASignature class.
        /// </summary>
        /// <param name="s">The s parameter.</param>
        [SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", MessageId = "s", Justification = "Consistancy to ganymed project.")]
        public RSASignature(BigInteger s)
        {
            this.s = s;
        }

        /// <summary>
        /// Gets the signature (S).
        /// </summary>
        public BigInteger Signature
        {
            get { return this.s; }
        }
    }
}
